summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d4c8198)
raw | patch | inline | side by side (parent: d4c8198)
author | DeaDDooMER <deaddoomer@deadsoftware.ru> | |
Sun, 13 Aug 2017 13:36:40 +0000 (16:36 +0300) | ||
committer | DeaDDooMER <deaddoomer@deadsoftware.ru> | |
Sun, 13 Aug 2017 13:36:40 +0000 (16:36 +0300) |
obn-run-tests.sh | patch | blob | history |
diff --git a/obn-run-tests.sh b/obn-run-tests.sh
index 28971d1a35cb6a974b48267dc2153951ee92acf4..62fc96760156fc02822c440e67fdc10232c438b4 100755 (executable)
--- a/obn-run-tests.sh
+++ b/obn-run-tests.sh
maketest()
{
local OK=1
- if ! ./obn-compile.sh $1; then
- OK=0; echo "Test fail: $1 compile-time $?"
+ local LOG=""
+ if ! LOG="$(./obn-compile.sh $1)"; then
+ OK=0;
+ echo "$LOG"
+ echo "Test fail: $1 compile-time $?"
fi
if [ $OK = 1 ]; then
if ! ./obn-run.sh $1; then
- OK=0; echo "Test fail: $1 run-time $?"
+ OK=0
+ echo "$LOG"
+ echo "Test fail: $1 run-time $?"
fi
fi
if [ $OK = 1 ]; then